ARG SUFFIX=""
FROM container-registry.pommalabs.xyz/pommalabs/dotnet:8-aspnet-chiseled$SUFFIX AS base

FROM container-registry.pommalabs.xyz/pommalabs/dotnet:8-sdk$SUFFIX AS build
ARG BUILD_CONFIGURATION=Release
ARG BUILD_RUNTIME=linux-x64
COPY ["test-prj.csproj", ""]
RUN dotnet restore "./test-prj.csproj" -r ${BUILD_RUNTIME}
COPY . .
WORKDIR "/opt/sln/"
RUN dotnet build "test-prj.csproj" -c ${BUILD_CONFIGURATION} -r ${BUILD_RUNTIME} --self-contained -o /opt/app/build

FROM build AS publish
ARG BUILD_CONFIGURATION=Release
ARG BUILD_RUNTIME=linux-x64
RUN dotnet publish "test-prj.csproj" -c ${BUILD_CONFIGURATION} -r ${BUILD_RUNTIME} --self-contained -o /opt/app/publish

FROM base AS final
COPY --from=publish /opt/app/publish .
ENTRYPOINT ["./test-prj"]
